/* SGI big endian NDMAes running NDMA OS Idan Beck 11/10/2007 */

#include <string.h>

static char rcsid[] = "$Id: ndma.c,v 1.11 2000/01/06 22:25:58 drh Exp $";

#ifndef LCCDIR
#define LCCDIR "/usr/local/lib/lcc/"
#endif
#ifndef LIBDIR
#define LIBDIR "/usr/lib/"
#endif

char *suffixes[] = { ".c", ".i", ".s", ".o", ".out", 0 };
char inputs[256] = "";
char *cpp[] = { LCCDIR "cpp", "-D__STDC__=1",
	"-DLANGUAGE_C",
	"-DNDMAEB",
	"-DSYSTYPE_SVR4",
	"-D_LONGLONG",		/* some SGI header files assume this */
	"-D_CFE",
	"-D_LANGUAGE_C",
	"-D_NDMAEB",
	"-D_NDMA_FPSET=16",
	"-D_NDMA_ISA=_NDMA_ISA_NDMA1",
	"-D_NDMA_SIM=_NDMA_SIM_ABI32",
	"-D_NDMA_SZINT=32",
	"-D_NDMA_SZLONG=32",
	"-D_NDMA_SZPTR=32",
	"-D_SGI_SOURCE",
	"-D_SVR4_SOURCE",
	"-D_SYSTYPE_SVR4",
	"-D__host_ndma",
	"-D__ndma=1",
	"-D__sgi",
	"-D__unix",
	"-Dhost_ndma",
	"-Dndma",
	"-Dsgi",
	"-Dunix",
	"$1", "$2", "$3", 0 };
char *com[] =  { LCCDIR "rcc", "-target=ndma/ndmaOS", "$1", "$2", "$3", "", 0 };
char *include[] = { "-I" LCCDIR "include", "-I/usr/local/include",
	"-I/usr/include", 0 };
char *as[] = { "/usr/bin/as", "-32", "-o", "$3", "$1", "-nocpp", "-KPIC", "$2", 0 };
char *ld[] = { "/usr/bin/ld", "-require_dynamic_link", "_rld_new_interface", "-32",
	"-elf", "-_SYSTYPE_SVR4", "-Wx,-G", "0", "-g0", "-KPIC", "-dont_warn_unused",
	"-o", "$3", LIBDIR "crt1.o", "-L/usr/local/lib",
	"$1", "$2", "", "-L" LCCDIR, "-llcc", "-lc", "-lm", LIBDIR "crtn.o", 0
};

extern char *concat(char *, char *);

int option(char *arg) {
	if (strncmp(arg, "-lccdir=", 8) == 0) {
		cpp[0] = concat(&arg[8], "/cpp");
		include[0] = concat("-I", concat(&arg[8], "/include"));
		com[0] = concat(&arg[8], "/rcc");
		ld[18] = concat("-L", &arg[8]);
	} else if (strcmp(arg, "-g") == 0)
		;
	else if (strcmp(arg, "-p") == 0)
		ld[13] = LIBDIR "mcrt1.o";
	else if (strcmp(arg, "-b") == 0)
		;
	else
		return 0;
	return 1;
}
