// Read Only Memory Module
// SQAURE WAVE

/*

x = 1:256;
% Sin : scale to 15-bits
% 2's complement!
for i=x
    if i <= 127
        y(i) = 2^14 - 1;
    elseif i > 127
        y(i) = -1*(2^14 - 1);
    end
end
plot(x, y, 'r-');
for i=x
    if y(i) < 0
        y(i) = 2^16 + y(i);
    end
    fprintf('\t\t\t8''h%02x: oSaw = 16''h%04x ;\n', x(i)-1 ,y(i))
end

*/

module SyncRomSquareTable
(
    iCLK,
    iAddress,
    oSquare
);
    // Inputs
    input iCLK;
    input[7:0] iAddress;
    // Outputs
    output reg[15:0] oSquare;

    always@(posedge iCLK)
    begin
		case(iAddress)
			8'h00: oSquare = 16'h3fff ;
			8'h01: oSquare = 16'h3fff ;
			8'h02: oSquare = 16'h3fff ;
			8'h03: oSquare = 16'h3fff ;
			8'h04: oSquare = 16'h3fff ;
			8'h05: oSquare = 16'h3fff ;
			8'h06: oSquare = 16'h3fff ;
			8'h07: oSquare = 16'h3fff ;
			8'h08: oSquare = 16'h3fff ;
			8'h09: oSquare = 16'h3fff ;
			8'h0a: oSquare = 16'h3fff ;
			8'h0b: oSquare = 16'h3fff ;
			8'h0c: oSquare = 16'h3fff ;
			8'h0d: oSquare = 16'h3fff ;
			8'h0e: oSquare = 16'h3fff ;
			8'h0f: oSquare = 16'h3fff ;
			8'h10: oSquare = 16'h3fff ;
			8'h11: oSquare = 16'h3fff ;
			8'h12: oSquare = 16'h3fff ;
			8'h13: oSquare = 16'h3fff ;
			8'h14: oSquare = 16'h3fff ;
			8'h15: oSquare = 16'h3fff ;
			8'h16: oSquare = 16'h3fff ;
			8'h17: oSquare = 16'h3fff ;
			8'h18: oSquare = 16'h3fff ;
			8'h19: oSquare = 16'h3fff ;
			8'h1a: oSquare = 16'h3fff ;
			8'h1b: oSquare = 16'h3fff ;
			8'h1c: oSquare = 16'h3fff ;
			8'h1d: oSquare = 16'h3fff ;
			8'h1e: oSquare = 16'h3fff ;
			8'h1f: oSquare = 16'h3fff ;
			8'h20: oSquare = 16'h3fff ;
			8'h21: oSquare = 16'h3fff ;
			8'h22: oSquare = 16'h3fff ;
			8'h23: oSquare = 16'h3fff ;
			8'h24: oSquare = 16'h3fff ;
			8'h25: oSquare = 16'h3fff ;
			8'h26: oSquare = 16'h3fff ;
			8'h27: oSquare = 16'h3fff ;
			8'h28: oSquare = 16'h3fff ;
			8'h29: oSquare = 16'h3fff ;
			8'h2a: oSquare = 16'h3fff ;
			8'h2b: oSquare = 16'h3fff ;
			8'h2c: oSquare = 16'h3fff ;
			8'h2d: oSquare = 16'h3fff ;
			8'h2e: oSquare = 16'h3fff ;
			8'h2f: oSquare = 16'h3fff ;
			8'h30: oSquare = 16'h3fff ;
			8'h31: oSquare = 16'h3fff ;
			8'h32: oSquare = 16'h3fff ;
			8'h33: oSquare = 16'h3fff ;
			8'h34: oSquare = 16'h3fff ;
			8'h35: oSquare = 16'h3fff ;
			8'h36: oSquare = 16'h3fff ;
			8'h37: oSquare = 16'h3fff ;
			8'h38: oSquare = 16'h3fff ;
			8'h39: oSquare = 16'h3fff ;
			8'h3a: oSquare = 16'h3fff ;
			8'h3b: oSquare = 16'h3fff ;
			8'h3c: oSquare = 16'h3fff ;
			8'h3d: oSquare = 16'h3fff ;
			8'h3e: oSquare = 16'h3fff ;
			8'h3f: oSquare = 16'h3fff ;
			8'h40: oSquare = 16'h3fff ;
			8'h41: oSquare = 16'h3fff ;
			8'h42: oSquare = 16'h3fff ;
			8'h43: oSquare = 16'h3fff ;
			8'h44: oSquare = 16'h3fff ;
			8'h45: oSquare = 16'h3fff ;
			8'h46: oSquare = 16'h3fff ;
			8'h47: oSquare = 16'h3fff ;
			8'h48: oSquare = 16'h3fff ;
			8'h49: oSquare = 16'h3fff ;
			8'h4a: oSquare = 16'h3fff ;
			8'h4b: oSquare = 16'h3fff ;
			8'h4c: oSquare = 16'h3fff ;
			8'h4d: oSquare = 16'h3fff ;
			8'h4e: oSquare = 16'h3fff ;
			8'h4f: oSquare = 16'h3fff ;
			8'h50: oSquare = 16'h3fff ;
			8'h51: oSquare = 16'h3fff ;
			8'h52: oSquare = 16'h3fff ;
			8'h53: oSquare = 16'h3fff ;
			8'h54: oSquare = 16'h3fff ;
			8'h55: oSquare = 16'h3fff ;
			8'h56: oSquare = 16'h3fff ;
			8'h57: oSquare = 16'h3fff ;
			8'h58: oSquare = 16'h3fff ;
			8'h59: oSquare = 16'h3fff ;
			8'h5a: oSquare = 16'h3fff ;
			8'h5b: oSquare = 16'h3fff ;
			8'h5c: oSquare = 16'h3fff ;
			8'h5d: oSquare = 16'h3fff ;
			8'h5e: oSquare = 16'h3fff ;
			8'h5f: oSquare = 16'h3fff ;
			8'h60: oSquare = 16'h3fff ;
			8'h61: oSquare = 16'h3fff ;
			8'h62: oSquare = 16'h3fff ;
			8'h63: oSquare = 16'h3fff ;
			8'h64: oSquare = 16'h3fff ;
			8'h65: oSquare = 16'h3fff ;
			8'h66: oSquare = 16'h3fff ;
			8'h67: oSquare = 16'h3fff ;
			8'h68: oSquare = 16'h3fff ;
			8'h69: oSquare = 16'h3fff ;
			8'h6a: oSquare = 16'h3fff ;
			8'h6b: oSquare = 16'h3fff ;
			8'h6c: oSquare = 16'h3fff ;
			8'h6d: oSquare = 16'h3fff ;
			8'h6e: oSquare = 16'h3fff ;
			8'h6f: oSquare = 16'h3fff ;
			8'h70: oSquare = 16'h3fff ;
			8'h71: oSquare = 16'h3fff ;
			8'h72: oSquare = 16'h3fff ;
			8'h73: oSquare = 16'h3fff ;
			8'h74: oSquare = 16'h3fff ;
			8'h75: oSquare = 16'h3fff ;
			8'h76: oSquare = 16'h3fff ;
			8'h77: oSquare = 16'h3fff ;
			8'h78: oSquare = 16'h3fff ;
			8'h79: oSquare = 16'h3fff ;
			8'h7a: oSquare = 16'h3fff ;
			8'h7b: oSquare = 16'h3fff ;
			8'h7c: oSquare = 16'h3fff ;
			8'h7d: oSquare = 16'h3fff ;
			8'h7e: oSquare = 16'h3fff ;
			8'h7f: oSquare = 16'hc001 ;
			8'h80: oSquare = 16'hc001 ;
			8'h81: oSquare = 16'hc001 ;
			8'h82: oSquare = 16'hc001 ;
			8'h83: oSquare = 16'hc001 ;
			8'h84: oSquare = 16'hc001 ;
			8'h85: oSquare = 16'hc001 ;
			8'h86: oSquare = 16'hc001 ;
			8'h87: oSquare = 16'hc001 ;
			8'h88: oSquare = 16'hc001 ;
			8'h89: oSquare = 16'hc001 ;
			8'h8a: oSquare = 16'hc001 ;
			8'h8b: oSquare = 16'hc001 ;
			8'h8c: oSquare = 16'hc001 ;
			8'h8d: oSquare = 16'hc001 ;
			8'h8e: oSquare = 16'hc001 ;
			8'h8f: oSquare = 16'hc001 ;
			8'h90: oSquare = 16'hc001 ;
			8'h91: oSquare = 16'hc001 ;
			8'h92: oSquare = 16'hc001 ;
			8'h93: oSquare = 16'hc001 ;
			8'h94: oSquare = 16'hc001 ;
			8'h95: oSquare = 16'hc001 ;
			8'h96: oSquare = 16'hc001 ;
			8'h97: oSquare = 16'hc001 ;
			8'h98: oSquare = 16'hc001 ;
			8'h99: oSquare = 16'hc001 ;
			8'h9a: oSquare = 16'hc001 ;
			8'h9b: oSquare = 16'hc001 ;
			8'h9c: oSquare = 16'hc001 ;
			8'h9d: oSquare = 16'hc001 ;
			8'h9e: oSquare = 16'hc001 ;
			8'h9f: oSquare = 16'hc001 ;
			8'ha0: oSquare = 16'hc001 ;
			8'ha1: oSquare = 16'hc001 ;
			8'ha2: oSquare = 16'hc001 ;
			8'ha3: oSquare = 16'hc001 ;
			8'ha4: oSquare = 16'hc001 ;
			8'ha5: oSquare = 16'hc001 ;
			8'ha6: oSquare = 16'hc001 ;
			8'ha7: oSquare = 16'hc001 ;
			8'ha8: oSquare = 16'hc001 ;
			8'ha9: oSquare = 16'hc001 ;
			8'haa: oSquare = 16'hc001 ;
			8'hab: oSquare = 16'hc001 ;
			8'hac: oSquare = 16'hc001 ;
			8'had: oSquare = 16'hc001 ;
			8'hae: oSquare = 16'hc001 ;
			8'haf: oSquare = 16'hc001 ;
			8'hb0: oSquare = 16'hc001 ;
			8'hb1: oSquare = 16'hc001 ;
			8'hb2: oSquare = 16'hc001 ;
			8'hb3: oSquare = 16'hc001 ;
			8'hb4: oSquare = 16'hc001 ;
			8'hb5: oSquare = 16'hc001 ;
			8'hb6: oSquare = 16'hc001 ;
			8'hb7: oSquare = 16'hc001 ;
			8'hb8: oSquare = 16'hc001 ;
			8'hb9: oSquare = 16'hc001 ;
			8'hba: oSquare = 16'hc001 ;
			8'hbb: oSquare = 16'hc001 ;
			8'hbc: oSquare = 16'hc001 ;
			8'hbd: oSquare = 16'hc001 ;
			8'hbe: oSquare = 16'hc001 ;
			8'hbf: oSquare = 16'hc001 ;
			8'hc0: oSquare = 16'hc001 ;
			8'hc1: oSquare = 16'hc001 ;
			8'hc2: oSquare = 16'hc001 ;
			8'hc3: oSquare = 16'hc001 ;
			8'hc4: oSquare = 16'hc001 ;
			8'hc5: oSquare = 16'hc001 ;
			8'hc6: oSquare = 16'hc001 ;
			8'hc7: oSquare = 16'hc001 ;
			8'hc8: oSquare = 16'hc001 ;
			8'hc9: oSquare = 16'hc001 ;
			8'hca: oSquare = 16'hc001 ;
			8'hcb: oSquare = 16'hc001 ;
			8'hcc: oSquare = 16'hc001 ;
			8'hcd: oSquare = 16'hc001 ;
			8'hce: oSquare = 16'hc001 ;
			8'hcf: oSquare = 16'hc001 ;
			8'hd0: oSquare = 16'hc001 ;
			8'hd1: oSquare = 16'hc001 ;
			8'hd2: oSquare = 16'hc001 ;
			8'hd3: oSquare = 16'hc001 ;
			8'hd4: oSquare = 16'hc001 ;
			8'hd5: oSquare = 16'hc001 ;
			8'hd6: oSquare = 16'hc001 ;
			8'hd7: oSquare = 16'hc001 ;
			8'hd8: oSquare = 16'hc001 ;
			8'hd9: oSquare = 16'hc001 ;
			8'hda: oSquare = 16'hc001 ;
			8'hdb: oSquare = 16'hc001 ;
			8'hdc: oSquare = 16'hc001 ;
			8'hdd: oSquare = 16'hc001 ;
			8'hde: oSquare = 16'hc001 ;
			8'hdf: oSquare = 16'hc001 ;
			8'he0: oSquare = 16'hc001 ;
			8'he1: oSquare = 16'hc001 ;
			8'he2: oSquare = 16'hc001 ;
			8'he3: oSquare = 16'hc001 ;
			8'he4: oSquare = 16'hc001 ;
			8'he5: oSquare = 16'hc001 ;
			8'he6: oSquare = 16'hc001 ;
			8'he7: oSquare = 16'hc001 ;
			8'he8: oSquare = 16'hc001 ;
			8'he9: oSquare = 16'hc001 ;
			8'hea: oSquare = 16'hc001 ;
			8'heb: oSquare = 16'hc001 ;
			8'hec: oSquare = 16'hc001 ;
			8'hed: oSquare = 16'hc001 ;
			8'hee: oSquare = 16'hc001 ;
			8'hef: oSquare = 16'hc001 ;
			8'hf0: oSquare = 16'hc001 ;
			8'hf1: oSquare = 16'hc001 ;
			8'hf2: oSquare = 16'hc001 ;
			8'hf3: oSquare = 16'hc001 ;
			8'hf4: oSquare = 16'hc001 ;
			8'hf5: oSquare = 16'hc001 ;
			8'hf6: oSquare = 16'hc001 ;
			8'hf7: oSquare = 16'hc001 ;
			8'hf8: oSquare = 16'hc001 ;
			8'hf9: oSquare = 16'hc001 ;
			8'hfa: oSquare = 16'hc001 ;
			8'hfb: oSquare = 16'hc001 ;
			8'hfc: oSquare = 16'hc001 ;
			8'hfd: oSquare = 16'hc001 ;
			8'hfe: oSquare = 16'hc001 ;
			8'hff: oSquare = 16'hc001 ;
        endcase
    end
endmodule
