module hex_decode(h_in, h_out);
input [3:0] h_in;
output wire [6:0] h_out;
assign h_out = ( h_in == 0 ) ? 7'b1000000 :
			   ( h_in == 1 ) ? 7'b1111001 :
			   ( h_in == 2 ) ? 7'b0100100 :
			   ( h_in == 3 ) ? 7'b0110000 :
			   ( h_in == 4 ) ? 7'b0011001 :
			   ( h_in == 5 ) ? 7'b0010010 :
			   ( h_in == 6 ) ? 7'b0010000 :
			   ( h_in == 7 ) ? 7'b1111000 :
			   ( h_in == 8 ) ? 7'b0000000 :
			   ( h_in == 9 ) ? 7'b0010000 :
			   ( h_in == 10) ? 7'b0001000 :
			   ( h_in == 11) ? 7'b0000011 :
			   ( h_in == 12) ? 7'b1000110 :
			   ( h_in == 13) ? 7'b0100001 :
			   ( h_in == 14) ? 7'b0000110 :
			   ( h_in == 15) ? 7'b0001110 : 7'b1111111;
endmodule