// Usage template

//HexDecode hexdecode(iHex( ), oHex(HEX ));
//
// or shorthand connect by order
//
// HexDecode hexdecode(4bIn, HEX_OUT);

module HexDecode(iHex, oHex);
	input [3:0] iHex;
	output wire [6:0] oHex;

	assign oHex =  ( iHex == 0 ) ? 7'b1000000 :
				   ( iHex == 1 ) ? 7'b1111001 :
				   ( iHex == 2 ) ? 7'b0100100 :
				   ( iHex == 3 ) ? 7'b0110000 :
				   ( iHex == 4 ) ? 7'b0011001 :
				   ( iHex == 5 ) ? 7'b0010010 :
				   ( iHex == 6 ) ? 7'b0000010 :
				   ( iHex == 7 ) ? 7'b1111000 :
				   ( iHex == 8 ) ? 7'b0000000 :
				   ( iHex == 9 ) ? 7'b0010000 :
				   ( iHex == 10) ? 7'b0001000 :
				   ( iHex == 11) ? 7'b0000011 :
				   ( iHex == 12) ? 7'b1000110 :
				   ( iHex == 13) ? 7'b0100001 :
				   ( iHex == 14) ? 7'b0000110 :
				   ( iHex == 15) ? 7'b0001110 : 7'b1111111;

endmodule
